de.esprit.netsuite.client.gui.rtask

## Class RemoteTaskTableModel<C extends ClientContext>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.esprit.common.gui.table.AbstractObjectTableModel<T>
    - - de.esprit.appsuite.gui.table.ApplicationTableModel<C,T>
      - - de.esprit.netsuite.client.gui.ClientTableModel<C,RemoteRunStateFlag>
        - - de.esprit.netsuite.client.gui.rtask.RemoteTaskTableModel<C>

- All Implemented Interfaces:
    ApplicationObject<C>, DataLoadEvent.Source, OrderChangeEvent.Source, Clearable, ClientObject<C>, java.io.Serializable, javax.swing.table.TableModel

      public class RemoteTaskTableModel<C extends ClientContext>
      extends ClientTableModel<C,RemoteRunStateFlag>

  This TableModel reflects the currently running remote tasks.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteTaskTableModel(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getColumnClass(int column)`
    `void` | `load()` Empty implementation, can be overridden to load the table by activating the LoadAction

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientTableModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.gui.table.ApplicationTableModel

      `getApplicationContext`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTableModel

      `addColumn, addColumn, addColumn, addColumn, addDataLoadListener, addObject, addObject, addObjects, addObjects, addOrderChangeListener, addRowData, addRowData, clear, clearRowData, containsObject, dropRow, dropRow, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getAllObjects, getColumnCount, getColumnName, getComparator, getObject, getRowCount, getValueAt, getValueAt, indexOf, isEmpty, isNumb, isSortAscending, removeColumn, removeDataLoadListener, removeObject, removeObject, removeOrderChangeListener, removeRowData, replaceObject, setComparator, setNumb, setObject, setSortAscending, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteTaskTableModel

          public RemoteTaskTableModel(C clientCtx)

  - ### Method Detail

    - #### load

          public void load()
                    throws java.lang.Exception

      Description copied from class: `AbstractObjectTableModel`
      Empty implementation, can be overridden to load the table by activating the LoadAction
      Overrides:
        `load` in class `AbstractObjectTableModel<RemoteRunStateFlag>`
      Throws:
        `java.lang.Exception`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int column)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.